package pl.primigenius.apdu_service_plugin_example;

import android.app.Service;
import android.content.Intent;
import android.nfc.cardemulation.HostApduService;
import android.os.Build;
import android.os.Bundle;
import android.util.Log;

import androidx.annotation.RequiresApi;

import java.util.Date;

@RequiresApi(api = Build.VERSION_CODES.KITKAT)
public class CustomHostApduService extends HostApduService {

    private static final String TAG = "CustomHostApduService";

    private static final byte[] E_COMMAND_NOT_ALLOWED = {
            (byte) 0x69,  // SW1	Status byte 1 - Command processing status
            (byte) 0x00   // SW2	Status byte 2 - Command processing qualifier
    };

    @Override
    public int onStartCommand(Intent intent, int flags, int startId) {
        Log.d(TAG, "onStartCommand()");
        return Service.START_NOT_STICKY;
    }

    @Override
    public byte[] processCommandApdu(byte[] commandApdu, Bundle extras) {
        Log.d(TAG, "CustomHostApduService processCommandApdu() | Our Response: " + ApduUtils.bytesToHex(E_COMMAND_NOT_ALLOWED));
        return E_COMMAND_NOT_ALLOWED;
    }

    @Override
    public void onDeactivated(int reason) {

    }
}
